## akonadi-calendar 20.12.3

=== debian/changelog ===
akonadi-calendar (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:13:27 +0000

akonadi-calendar (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:47:55 +0000

akonadi-calendar (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:05:58 +0000

akonadi-calendar (4:20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)
  * Update build depends.

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:20:49 +0000

akonadi-calendar (4:20.08.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.08.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 09:45:39 +0000
