## akonadi-calendar 21.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(PIM_VERSION "5.15.3")
+set(PIM_VERSION "5.18.1")
 project(Akonadi-Calendar  VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF5_MIN_VERSION "5.71.0")
+set(KF5_MIN_VERSION "5.83.0")
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
-set(QT_REQUIRED_VERSION "5.13.0")
+set(QT_REQUIRED_VERSION "5.15.0")
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
@@ -19,16 +19,19 @@
 
 include(ECMSetupVersion)
 include(FeatureSummary)
+include(KDEGitCommitHooks)
 include(ECMQtDeclareLoggingCategory)
 
 
 
 set(AKONADICALENDAR_LIB_VERSION ${PIM_VERSION})
-set(AKONADICONTACT_LIB_VERSION "5.15.3")
-set(AKONADI_LIB_VERSION "5.15.3")
-set(MAILTRANSPORT_LIB_VERSION "5.15.3")
-set(CALENDARUTILS_LIB_VERSION "5.15.3")
-set(IDENTITYMANAGEMENT_LIB_VERSION "5.15.3")
+set(AKONADICONTACT_LIB_VERSION "5.18.1")
+set(AKONADI_LIB_VERSION "5.18.1")
+set(MAILTRANSPORT_LIB_VERSION "5.18.1")
+set(CALENDARUTILS_LIB_VERSION "5.18.1")
+set(IDENTITYMANAGEMENT_LIB_VERSION "5.18.1")
+set(GRANTLEETHEME_LIB_VERSION "5.18.1")
+
 ecm_setup_version(PROJECT VARIABLE_PREFIX AKONADICALENDAR
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi-calendar_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiCalendarConfigVersion.cmake"
@@ -55,17 +58,24 @@
 
 find_package(KF5Akonadi ${AKONADI_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5AkonadiContact ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
+find_package(KF5GrantleeTheme ${GRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
 
 ########### Targets ###########
 
 
 add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054800)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055400)
 
-add_definitions(-DQT_NO_FOREACH)
-add_definitions(-DQT_NO_KEYWORDS)
-set(CMAKE_CXX_STANDARD 14)
+set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
+
+option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)
+
+set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
+if (USE_UNITY_CMAKE_SUPPORT)
+    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
+    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
+endif()
 
 add_subdirectory(src)
 add_subdirectory(serializers)
@@ -100,6 +110,7 @@
         FILE akonadi-calendar.categories
         DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
         )
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
+ki18n_install(po)
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
-ki18n_install(po)
