=== debian/control ===
--- 
+++ 
@@ -4,24 +4,25 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Norbert Preining <norbert@preining.info>,
            Sandro Knauß <hefee@debian.org>,
+           Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.83.0~),
+               extra-cmake-modules (>= 5.87.0~),
                gettext,
-               libkf5akonadi-dev (>= 4:21.08.1~),
-               libkf5akonadicontact-dev (>= 4:21.08.1~),
-               libkf5calendarcore-dev (>= 5:5.83.0~),
-               libkf5calendarutils-dev (>= 4:21.08.1~),
-               libkf5codecs-dev (>= 5.83.0~),
-               libkf5grantleetheme-dev (>= 21.08.1~),
-               libkf5i18n-dev (>= 5.83.0~),
-               libkf5identitymanagement-dev (>= 21.08.1~),
-               libkf5kio-dev (>= 5.83.0~),
-               libkf5mailtransport-dev (>= 21.08.1~),
-               libkf5widgetsaddons-dev (>= 5.83.0~),
-               libkf5xmlgui-dev (>= 5.83.0~),
+               libgrantlee5-dev (>= 5.2~),
+               libkf5akonadi-dev (>= 4:21.12.3~),
+               libkf5akonadicontact-dev (>= 4:21.12.3~),
+               libkf5calendarcore-dev (>= 5:5.87.0~),
+               libkf5calendarutils-dev (>= 4:21.12.3~),
+               libkf5codecs-dev (>= 5.87.0~),
+               libkf5i18n-dev (>= 5.87.0~),
+               libkf5identitymanagement-dev (>= 21.12.3~),
+               libkf5kio-dev (>= 5.87.0~),
+               libkf5mailtransport-dev (>= 21.12.3~),
+               libkf5widgetsaddons-dev (>= 5.87.0~),
+               libkf5xmlgui-dev (>= 5.87.0~),
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.15.0~),
+               qtbase5-dev (>= 5.15.2~),
                xauth,
                xvfb,
 Standards-Version: 4.6.0
@@ -44,10 +45,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:21.08.1~),
+Depends: libkf5akonadi-dev (>= 4:21.12.3~),
          libkf5akonadicalendar5abi1 (= ${binary:Version}),
-         libkf5akonadicontact-dev (>= 4:21.08.1~),
-         libkf5calendarcore-dev (>= 5:5.83.0~),
+         libkf5akonadicontact-dev (>= 4:21.12.3~),
+         libkf5calendarcore-dev (>= 5:5.87.0~),
          ${misc:Depends},
 Description: akonadi-calendar - development files
  This library offers helper functions to integrate the use of Akonadi calendar
