## akonadi-calendar 22.08.0

=== debian/changelog ===
akonadi-calendar (4:22.08.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 10 Sep 2022 13:09:15 +0200

akonadi-calendar (4:22.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.
  * New upstream release (22.08.0).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Wed, 31 Aug 2022 01:46:03 +0200

akonadi-calendar (4:22.04.3-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 14 Jul 2022 21:57:27 +0200

akonadi-calendar (4:22.04.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.3).
  * Update build-deps and deps with the info from cmake.
  * Rename binary package libkf5akonadicalendar-bin to kalendarac.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Update d/copyright.
  * Rempove upstream_Fix-crash-when-clicking-on-dismiss-sometimes.patch
    as it has been applied upstream.

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Jul 2022 23:54:06 +0200

akonadi-calendar (4:22.04.2-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Mark the xauth, and xvfb build dependencies as nocheck, as they are needed
    only by dh_auto_test.
  * CI: enable again the blhc job.
  * Backport upstream commit 26694e8c82562eac2fdbdb6fa85f56b27fca82a0 to fix
    sporadic crashes when dismissing notifications; patch
    upstream_Fix-crash-when-clicking-on-dismiss-sometimes.patch.

 -- Pino Toscano <pino@debian.org>  Sun, 03 Jul 2022 06:26:53 +0200

akonadi-calendar (4:22.04.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 27 Jun 2022 22:01:54 +0200

akonadi-calendar (4:22.04.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 Jun 2022 02:47:20 +0200

akonadi-calendar (4:22.04.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Source-only upload to experimental.

 -- Patrick Franz <deltaone@debian.org>  Fri, 27 May 2022 16:16:15 +0200

akonadi-calendar (4:22.04.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.1).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.
  * New binary package libkf5akonadicalendar-bin.

 -- Patrick Franz <deltaone@debian.org>  Thu, 26 May 2022 01:29:54 +0200
