=== debian/control ===
Source: akonadi-calendar
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.95.0~),
               gettext,
               libgrantlee5-dev (>= 5.2~),
               libkf5akonadi-dev (>= 4:22.08.0~),
               libkf5akonadicontact-dev (>= 4:22.08.0~),
               libkf5calendarcore-dev (>= 5:5.95.0~),
               libkf5calendarutils-dev (>= 4:22.08.0~),
               libkf5codecs-dev (>= 5.95.0~),
               libkf5dbusaddons-dev (>= 5.95.0~),
               libkf5i18n-dev (>= 5.95.0~),
               libkf5identitymanagement-dev (>= 22.08.0~),
               libkf5kio-dev (>= 5.95.0~),
               libkf5mailtransport-dev (>= 22.08.0~),
               libkf5notifications-dev (>= 5.95.0~),
               libkf5widgetsaddons-dev (>= 5.95.0~),
               libkf5xmlgui-dev (>= 5.95.0~),
               qtbase5-dev (>= 5.15.2~),
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/pim/akonadi-calendar
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-calendar
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-calendar.git
Rules-Requires-Root: no

Package: kalendarac
Breaks: libkf5akonadicalendar-bin
Replaces: libkf5akonadicalendar-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: akonadi-calendar - calendar reminder
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
 .
 This package contains the daemon for calendar reminders.

Package: libkf5akonadicalendar-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: data files for akonadi-calendar
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
 .
 This package contains shared data files.

Package: libkf5akonadicalendar-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:22.08.0~),
         libkf5akonadicalendar5abi1 (= ${binary:Version}),
         libkf5akonadicontact-dev (>= 4:22.08.0~),
         libkf5calendarcore-dev (>= 5:5.95.0~),
         ${misc:Depends}
Description: akonadi-calendar - development files
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
 .
 This package contains the development files.

Package: libkf5akonadicalendar5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5AkonadiCalendar
Architecture: any
Multi-Arch: same
Depends: libkf5akonadicalendar-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library providing calendar helpers for Akonadi items
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
Provides: ${ABI:VirtualPackage}
