## akonadi-calendar 22.08.1

=== debian/changelog ===
akonadi-calendar (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:34:01 +0100

akonadi-calendar (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)
  * Update install files.
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:44:30 +0100

akonadi-calendar (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:21:39 +0100

akonadi-calendar (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:55:02 +0100

akonadi-calendar (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Update install files.
  * Add package libkf5akonadicalendar-bin for the reminder daemon moved
    from kalander repo.
  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:51:48 +0100

akonadi-calendar (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:04:31 +0000

akonadi-calendar (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update debian/watch
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:10:53 +0000

akonadi-calendar (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:18:50 +0000

akonadi-calendar (4:21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:15:38 +0000

akonadi-calendar (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:11:15 +0000

akonadi-calendar (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)
  * Update symbols.
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 23:28:53 +0000

akonadi-calendar (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:34:33 +0000

akonadi-calendar (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:28:22 +0100

akonadi-calendar (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 08:56:12 +0100

akonadi-calendar (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:48:31 +0100

akonadi-calendar (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Jul 2021 10:41:07 +0100

akonadi-calendar (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:36:57 +0100

akonadi-calendar (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:33:01 +0100

akonadi-calendar (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:00:05 +0100

akonadi-calendar (4:21.04.0-0ubuntu1) impish; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.04.0)

  [ José Manuel Santamaría Lema ]
  * Refresh enable_debianabimanager.diff

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:27:37 +0100
