=== debian/control ===
--- 
+++ 
@@ -9,16 +9,16 @@
                extra-cmake-modules (>= 5.95.0~),
                gettext,
                libgrantlee5-dev (>= 5.2~),
-               libkf5akonadi-dev (>= 4:22.08.2~),
-               libkf5akonadicontact-dev (>= 4:22.08.2~),
+               libkf5akonadi-dev (>= 4:22.08.3~),
+               libkf5akonadicontact-dev (>= 4:22.08.3~),
                libkf5calendarcore-dev (>= 5:5.95.0~),
-               libkf5calendarutils-dev (>= 4:22.08.2~),
+               libkf5calendarutils-dev (>= 4:22.08.3~),
                libkf5codecs-dev (>= 5.95.0~),
                libkf5dbusaddons-dev (>= 5.95.0~),
                libkf5i18n-dev (>= 5.95.0~),
-               libkf5identitymanagement-dev (>= 22.08.2~),
+               libkf5identitymanagement-dev (>= 22.08.3~),
                libkf5kio-dev (>= 5.95.0~),
-               libkf5mailtransport-dev (>= 22.08.2~),
+               libkf5mailtransport-dev (>= 22.08.3~),
                libkf5notifications-dev (>= 5.95.0~),
                libkf5widgetsaddons-dev (>= 5.95.0~),
                libkf5xmlgui-dev (>= 5.95.0~),
@@ -56,9 +56,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:22.08.2~),
+Depends: libkf5akonadi-dev (>= 4:22.08.3~),
          libkf5akonadicalendar5abi1 (= ${binary:Version}),
-         libkf5akonadicontact-dev (>= 4:22.08.2~),
+         libkf5akonadicontact-dev (>= 4:22.08.3~),
          libkf5calendarcore-dev (>= 5:5.95.0~),
          ${misc:Depends}
 Description: akonadi-calendar - development files
